> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get list of contracts > Operation is used to get a list of Contracts. Available from product version 3.2.24. Contracts data can be filtered by giving filtering parameters at HTTP querystring (see parameters). ## OpenAPI ````json GET /contracts/ { "openapi": "3.0.4", "info": { "title": "KeyCom REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Telecom premises", "description": "Telecom premises related operations." }, { "name": "Device", "description": "Device related operations." }, { "name": "Device Group", "description": "Device Group related operations." }, { "name": "Splice", "description": "Telecom Splice related operations." }, { "name": "Telecom Conduit", "description": "Telecom Conduit related operations." }, { "name": "Telecom Conduit Link", "description": "Operations related to putting Telecom Cables and Ducts into Conduits." }, { "name": "Telecom Duct", "description": "Telecom Duct related operations." }, { "name": "Telecom Duct Link", "description": "Operations related to putting Telecom Cables into Ducts." }, { "name": "Telecom Conduit Connection", "description": "Operations related to connecting Conduits and endpoints." }, { "name": "Telecom Cable Connection", "description": "Operations related to connecting Cables and endpoints" }, { "name": "Telecom Thread/Port Connection", "description": "Operations related to connecting and disconnecting telecom cable threads and device ports" }, { "name": "Telecom Duct Connection", "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole." }, { "name": "Manhole", "description": "Telecom Manhole related operations." }, { "name": "Cable", "description": "Telecom Cable related operations." }, { "name": "Cable Appendix", "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted." }, { "name": "Supercable", "description": "Telecom Supercable related operations." }, { "name": "Cross connection point", "description": "Cross connection point related operations." }, { "name": "Service Area", "description": "Service Area related operations." }, { "name": "Exchange Area", "description": "Exchange Area related operations." }, { "name": "Telecom Area", "description": "Telecom Area related operations." }, { "name": "Routefollower", "description": "Routefollower related operations." }, { "name": "Circuit", "description": "Circuit related operations." }, { "name": "Circuit Location", "description": "Circuit installation location related operations." }, { "name": "Circuit Section", "description": "Circuit section related operations." }, { "name": "Circuit Reservation Data", "description": "Circuit reservation data view and search operations." }, { "name": "Customer", "description": "Customer data related operations." }, { "name": "Passed Services", "description": "Passed Services related operations." }, { "name": "Circuit Connection", "description": "Circuit logical reservations related operations." }, { "name": "Circuit Physical Reservation", "description": "Circuit physical reservations related operations." }, { "name": "Create connections", "description": "Operation used to create new connections." }, { "name": "Terminal type", "description": "Terminal types related operations." }, { "name": "Logical connections", "description": "Logical connections related operations." }, { "name": "Circuit Services", "description": "Operations provided by micro services." }, { "name": "Contract", "description": "Contract related operations." }, { "name": "Contract Link", "description": "Contract link related operations." }, { "name": "Pole", "description": "Pole related operations." }, { "name": "Circuit faults", "description": "Circuit faults related operations." }, { "name": "Duct groups", "description": "Duct groups related operations." }, { "name": "Duct group rows", "description": "Duct group rows related operations." }, { "name": "Threads", "description": "Cable thread related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/contracts/": { "get": { "tags": [ "Contract" ], "summary": "Get list of contracts", "description": "Operation is used to get a list of Contracts. Available from product version 3.2.24.\n\nContracts data can be filtered by giving filtering parameters at HTTP querystring (see parameters).\n", "operationId": "getContract", "parameters": [ { "$ref": "#/components/parameters/offsetParam" }, { "$ref": "#/components/parameters/limitParam" }, { "$ref": "#/components/parameters/srsParam" }, { "$ref": "#/components/parameters/precisionParam" }, { "$ref": "#/components/parameters/dimsParam" }, { "$ref": "#/components/parameters/filterParam" }, { "$ref": "#/components/parameters/orderParam" } ], "responses": { "200": { "description": "A result response object.", "content": { "application/json": { "schema": { "type": "object", "properties": { "Next": { "type": "string", "description": "Url to next page of Contracts. Null if No next page exist", "format": "url" }, "Previous": { "type": "string", "description": "Url to previous page of Contracts. Null if No previous page exist", "format": "url" }, "Results": { "type": "array", "items": { "$ref": "#/components/schemas/Contract" }, "description": "List of fetched Contracts" }, "Total": { "type": "integer", "description": "Total number of Contracts" } } }, "example": { "Next": "https://keycom.example.com/api/v2/contracts/?limit=10&offset=10", "Previous": null, "Results": [ { "agreement": "1234567890A", "antenna": null, "billing": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "ELECTRIC_BIL_TYPE", "id": 14290, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/ELECTRIC_BIL_TYPE/", "logical_txt": "Arviolaskutus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Arviolaskutus" }, "billingDay": 15, "billingPeriod": 4, "billingReference": "1234567890", "cableUsage": "", "comment": "", "contractStatus": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "RENT_STATUS", "id": 1350, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/RENT_STATUS/", "logical_txt": "Vuokrattu", "num_value": 2.0, "num_value2": null, "num_value3": 2.0, "num_value4": 1.0, "txt": "Vuokrattu" }, "contractType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CONTRACT_TYPE", "id": 14270, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/CONTRACT_TYPE/", "logical_txt": "Alivuokrasopimus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Alivuokrasopimus" }, "createdBy": "petri", "createdTs": "2011-02-17T15:21:48", "id": 410, "lessee": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/14536/" ], "buildingId": "", "city": "LOVISA", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 173470, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "INGENJÖRSVÄGEN", "streetnameAlt": "", "streetno": "2", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:23", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": null, "zipcode": "07900" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 14536, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000014536", "originalStreetno": "2", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "", "createdTs": null, "email": "janne.testicase@keypro.fi", "id": 35866041, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "0ra Janne", "number": "35866041", "phone": "019 533353", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6010, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Yksityishenkilö" }, "updatedBy": "", "updatedTs": null }, "lessor": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/3281/" ], "buildingId": "", "city": "", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 1, "id": 390, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "", "streetnameAlt": "", "streetno": "", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:20", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": null, "zipcode": "" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 3281, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000003281", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "KEYCOM_STAGE30", "createdTs": "2018-04-10T13:30:34", "email": "", "id": 192470, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "Corenet Oy", "number": "A-192470", "phone": "", "smsProhibited": null, "telefax": "", "type": null, "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-04-10T13:30:34" }, "parentContract": "https://keypro.example.com/api/v2/contracts/11630/", "rent": "1000.00", "rentBeginDate": "2012-12-19", "rentEndDate": "2012-12-28", "rent_2": "2000.00", "rent_3": "10000.00", "reserveBeginDate": "2012-12-29", "reserveEndDate": "2012-12-30", "termOfNotice": 30, "updatedBy": "admin", "updatedTs": "2014-03-24T09:51:46" }, { "agreement": "33789", "antenna": null, "billing": null, "billingDay": null, "billingPeriod": null, "billingReference": "", "cableUsage": "", "comment": "", "contractStatus": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "RENT_STATUS", "id": 1330, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/RENT_STATUS/", "logical_txt": "Varattu", "num_value": 0.0, "num_value2": null, "num_value3": 1.0, "num_value4": 5.0, "txt": "Varattu" }, "contractType": null, "createdBy": "petri", "createdTs": "2011-02-17T15:22:11", "id": 430, "lessee": null, "lessor": null, "parentContract": "https://keypro.example.com/api/v2/contracts/410/", "rent": null, "rentBeginDate": null, "rentEndDate": null, "rent_2": null, "rent_3": null, "reserveBeginDate": null, "reserveEndDate": null, "termOfNotice": null, "updatedBy": "kim", "updatedTs": "2013-01-22T13:31:47" }, { "agreement": "666", "antenna": 12, "billing": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "ELECTRIC_BIL_TYPE", "id": 14310, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/ELECTRIC_BIL_TYPE/", "logical_txt": "Oma mittari", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Oma mittari" }, "billingDay": 12, "billingPeriod": 12, "billingReference": "1234", "cableUsage": "", "comment": "", "contractStatus": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "RENT_STATUS", "id": 1310, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/RENT_STATUS/", "logical_txt": "Vapaa", "num_value": 1.0, "num_value2": null, "num_value3": 4.0, "num_value4": 1.0, "txt": "Vapaa" }, "contractType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CONTRACT_TYPE", "id": 14250, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/CONTRACT_TYPE/", "logical_txt": "Vuokrasopimus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Vuokrasopimus" }, "createdBy": "demo", "createdTs": "2011-08-25T14:35:42", "id": 2410, "lessee": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/25821/", "https://keypro.example.com/api/v2/apartments/65864/" ], "buildingId": "12", "city": "JOENZ00", "cityAlt": "1234", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 528010, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": "SRID=3067;POINT (457001.3785999999963678 6703317.4406000003218651)", "municipality": "", "propertyId": "12", "province": "", "streetname": "TESTIKATU", "streetnameAlt": "TESTGATAN", "streetno": "16", "subdivision": "", "updatedBy": "KEYCOM_STAGE32", "updatedTs": "2021-06-16T11:23:48", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233990, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Liike- tai teollisuusrakennus", "num_value": null, "num_value2": null, "num_value3": 2.0, "num_value4": null, "txt": "Liike- tai teollisuusrakennus" }, "usagePurposeAlt": null, "zipcode": "80110" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 25821, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000025781", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/25821/", "https://keypro.example.com/api/v2/apartments/65864/" ], "buildingId": "12", "city": "JOENZ00", "cityAlt": "1234", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 528010, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": "SRID=3067;POINT (457001.3785999999963678 6703317.4406000003218651)", "municipality": "", "propertyId": "12", "province": "", "streetname": "TESTIKATU", "streetnameAlt": "TESTGATAN", "streetno": "16", "subdivision": "", "updatedBy": "KEYCOM_STAGE32", "updatedTs": "2021-06-16T11:23:48", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233990, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Liike- tai teollisuusrakennus", "num_value": null, "num_value2": null, "num_value3": 2.0, "num_value4": null, "txt": "Liike- tai teollisuusrakennus" }, "usagePurposeAlt": null, "zipcode": "80110" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 25821, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000025781", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "billingName": "1a", "businessId": "12", "createdBy": "", "createdTs": null, "email": "1a", "id": 3210, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "12", "name": "Testi Customer", "number": "1337", "phone": "12", "smsProhibited": null, "telefax": "12", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6010, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Yksityishenkilö" }, "updatedBy": "", "updatedTs": null }, "lessor": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/3281/" ], "buildingId": "", "city": "", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 1, "id": 390, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "", "streetnameAlt": "", "streetno": "", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:20", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": null, "zipcode": "" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 3281, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000003281", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "KEYCOM_STAGE30", "createdTs": "2018-04-10T13:30:34", "email": "", "id": 192430, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "Testi Omistaja", "number": "A-192430", "phone": "", "smsProhibited": null, "telefax": "", "type": null, "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-04-10T13:30:34" }, "parentContract": "https://keypro.example.com/api/v2/contracts/430/", "rent": "12.00", "rentBeginDate": "2011-08-25", "rentEndDate": "2011-08-25", "rent_2": "12.00", "rent_3": "12.00", "reserveBeginDate": "2011-08-26", "reserveEndDate": "2011-08-25", "termOfNotice": 12, "updatedBy": "sami", "updatedTs": "2013-03-05T15:35:35" }, { "agreement": "aaa", "antenna": null, "billing": null, "billingDay": null, "billingPeriod": null, "billingReference": "", "cableUsage": "", "comment": "", "contractStatus": null, "contractType": null, "createdBy": "admin", "createdTs": "2012-03-01T10:34:14", "id": 3210, "lessee": null, "lessor": null, "parentContract": null, "rent": null, "rentBeginDate": null, "rentEndDate": null, "rent_2": null, "rent_3": null, "reserveBeginDate": null, "reserveEndDate": null, "termOfNotice": null, "updatedBy": "admin", "updatedTs": "2012-03-01T10:34:14" }, { "agreement": "7181883", "antenna": 2, "billing": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "ELECTRIC_BIL_TYPE", "id": 14290, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/ELECTRIC_BIL_TYPE/", "logical_txt": "Arviolaskutus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Arviolaskutus" }, "billingDay": 15, "billingPeriod": 3, "billingReference": "1029384756", "cableUsage": "Ei ole tietoa tästäkään", "comment": "Testauksen tulos", "contractStatus": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "RENT_STATUS", "id": 1350, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/RENT_STATUS/", "logical_txt": "Vuokrattu", "num_value": 2.0, "num_value2": null, "num_value3": 2.0, "num_value4": 1.0, "txt": "Vuokrattu" }, "contractType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CONTRACT_TYPE", "id": 14250, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/CONTRACT_TYPE/", "logical_txt": "Vuokrasopimus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Vuokrasopimus" }, "createdBy": "lasse", "createdTs": "2012-10-02T14:54:12", "id": 4030, "lessee": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/26935/" ], "buildingId": "", "city": "PYHTÄÄ", "cityAlt": "PYTTIS", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 545830, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": "SRID=3067;POINT (478045.5530000000144355 6699670.6042999997735023)", "municipality": "", "propertyId": "", "province": "", "streetname": "SANTANIEMENTIE", "streetnameAlt": "SANDNÄSVÄGEN", "streetno": "16", "subdivision": "", "updatedBy": "", "updatedTs": null, "usagePurpose": null, "usagePurposeAlt": null, "zipcode": "" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 26935, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000026895", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "Laskutustiedon nimi", "businessId": "", "createdBy": "", "createdTs": null, "email": "lakeija.munapirtti@munapirtinemail.com", "id": 11250, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "050-442211", "name": "Munapirtin Lakeija", "number": "MUN48833", "phone": "09-9876542", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6010, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Yksityishenkilö" }, "updatedBy": "", "updatedTs": null }, "lessor": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/3281/" ], "buildingId": "", "city": "", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 1, "id": 390, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "", "streetnameAlt": "", "streetno": "", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:20", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": null, "zipcode": "" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 3281, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000003281", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "KEYCOM_STAGE30", "createdTs": "2018-04-10T13:30:34", "email": "", "id": 192430, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "Testi Omistaja", "number": "A-192430", "phone": "", "smsProhibited": null, "telefax": "", "type": null, "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-04-10T13:30:34" }, "parentContract": null, "rent": "500.00", "rentBeginDate": "2012-10-02", "rentEndDate": "2012-10-31", "rent_2": "100.00", "rent_3": "20.00", "reserveBeginDate": "2012-10-03", "reserveEndDate": "2012-10-30", "termOfNotice": 7, "updatedBy": "lasse", "updatedTs": "2013-01-16T18:33:48" }, { "agreement": "TEST_CASE", "antenna": 2, "billing": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "ELECTRIC_BIL_TYPE", "id": 14310, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/ELECTRIC_BIL_TYPE/", "logical_txt": "Oma mittari", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Oma mittari" }, "billingDay": 15, "billingPeriod": 2, "billingReference": "765432", "cableUsage": "Diipa daapaa", "comment": "aölskjföalkjf", "contractStatus": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "RENT_STATUS", "id": 1350, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/RENT_STATUS/", "logical_txt": "Vuokrattu", "num_value": 2.0, "num_value2": null, "num_value3": 2.0, "num_value4": 1.0, "txt": "Vuokrattu" }, "contractType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CONTRACT_TYPE", "id": 14250, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/CONTRACT_TYPE/", "logical_txt": "Vuokrasopimus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Vuokrasopimus" }, "createdBy": "lasse", "createdTs": "2012-10-10T15:19:08", "id": 4810, "lessee": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/14536/" ], "buildingId": "", "city": "LOVISA", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 173470, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "INGENJÖRSVÄGEN", "streetnameAlt": "", "streetno": "2", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:23", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": null, "zipcode": "07900" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 14536, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000014536", "originalStreetno": "2", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "", "createdTs": null, "email": "janne.testicase@keypro.fi", "id": 35866041, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "0ra Janne", "number": "35866041", "phone": "019 533353", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6010, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Yksityishenkilö" }, "updatedBy": "", "updatedTs": null }, "lessor": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/5198/" ], "buildingId": "", "city": "LOVIISA", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 3350, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "MANNERHEIMINKATU", "streetnameAlt": "", "streetno": "4", "subdivision": "", "updatedBy": "gdpr_disabled_user", "updatedTs": "2020-08-14T14:53:40", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_ADDR_SPEC", "id": 266390, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_ADDR_SPEC/", "logical_txt": "Korjattu", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": 1.0, "txt": "Korjattu" }, "zipcode": "07900" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 5198, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000005198", "originalStreetno": "4", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "", "createdTs": null, "email": "", "id": 35900641, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "Lpo", "number": "35900641", "phone": "019 555441", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6010, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Yksityishenkilö" }, "updatedBy": "", "updatedTs": null }, "parentContract": null, "rent": "123.00", "rentBeginDate": "2012-10-11", "rentEndDate": "2012-10-26", "rent_2": "432.00", "rent_3": "1357.00", "reserveBeginDate": "2012-10-18", "reserveEndDate": "2012-10-30", "termOfNotice": 66, "updatedBy": "lasse", "updatedTs": "2012-10-10T16:03:08" }, { "agreement": "DEMO 100", "antenna": null, "billing": null, "billingDay": null, "billingPeriod": null, "billingReference": "", "cableUsage": "", "comment": "", "contractStatus": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "RENT_STATUS", "id": 1330, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/RENT_STATUS/", "logical_txt": "Varattu", "num_value": 0.0, "num_value2": null, "num_value3": 1.0, "num_value4": 5.0, "txt": "Varattu" }, "contractType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CONTRACT_TYPE", "id": 14250, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/CONTRACT_TYPE/", "logical_txt": "Vuokrasopimus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Vuokrasopimus" }, "createdBy": "lasse", "createdTs": "2012-10-10T16:06:51", "id": 4890, "lessee": null, "lessor": null, "parentContract": null, "rent": null, "rentBeginDate": null, "rentEndDate": null, "rent_2": null, "rent_3": null, "reserveBeginDate": null, "reserveEndDate": null, "termOfNotice": null, "updatedBy": "kim", "updatedTs": "2013-01-22T13:31:47" }, { "agreement": "324234", "antenna": null, "billing": null, "billingDay": null, "billingPeriod": null, "billingReference": "", "cableUsage": "", "comment": "this is future test", "contractStatus": null, "contractType": null, "createdBy": "demo", "createdTs": "2012-10-18T09:00:04", "id": 5230, "lessee": null, "lessor": null, "parentContract": null, "rent": null, "rentBeginDate": null, "rentEndDate": null, "rent_2": null, "rent_3": null, "reserveBeginDate": null, "reserveEndDate": null, "termOfNotice": null, "updatedBy": "example@example.com", "updatedTs": "2022-02-04T07:38:56" }, { "agreement": "990099", "antenna": null, "billing": null, "billingDay": null, "billingPeriod": null, "billingReference": "", "cableUsage": "", "comment": "", "contractStatus": null, "contractType": null, "createdBy": "demo", "createdTs": "2012-10-18T09:13:36", "id": 5290, "lessee": null, "lessor": null, "parentContract": null, "rent": null, "rentBeginDate": null, "rentEndDate": null, "rent_2": null, "rent_3": null, "reserveBeginDate": null, "reserveEndDate": null, "termOfNotice": null, "updatedBy": "demo", "updatedTs": "2012-10-18T09:13:36" }, { "agreement": "2323232", "antenna": null, "billing": null, "billingDay": null, "billingPeriod": null, "billingReference": "", "cableUsage": "", "comment": "", "contractStatus": null, "contractType": null, "createdBy": "timo", "createdTs": "2012-10-19T12:28:23", "id": 5330, "lessee": null, "lessor": null, "parentContract": null, "rent": null, "rentBeginDate": null, "rentEndDate": null, "rent_2": null, "rent_3": null, "reserveBeginDate": null, "reserveEndDate": null, "termOfNotice": null, "updatedBy": "lasse", "updatedTs": "2013-01-28T14:25:04" } ], "Total": 116 } } } }, "401": { "$ref": "#/components/responses/Http401" } }, "security": [ { "Token": [] } ] } } }, "components": { "parameters": { "offsetParam": { "name": "offset", "in": "query", "description": "Offset to start returning results.", "schema": { "minimum": 0, "type": "integer" } }, "limitParam": { "name": "limit", "in": "query", "description": "Limit number of results returned. Set to -1 to use maximum limit set in the environment. Default limit will be used if parameter is not specified. Special value -1 is available from product version 3.2.18.", "schema": { "minimum": 1, "type": "integer" } }, "srsParam": { "name": "srs", "in": "query", "description": "Coordinate system used to transform location fields in API responses.\nThis parameter does not apply to locations sent in request query parameters or request bodies.\n\nFor locations in requests, use EWKT with SRID.\nIf EWKT is provided without SRID, the system default SRID will be used.\n\n**Example:** `srs=epsg:4326`\n", "schema": { "type": "string" } }, "precisionParam": { "name": "precision", "in": "query", "description": "Number of decimals to be returned with object location. If parameter is not specified the number of decimals is as precise as possible for current running instance. Available from product version 2024.4.", "schema": { "minimum": 1, "type": "integer" } }, "dimsParam": { "name": "dimensions", "in": "query", "description": "number of dimensions to be returned. Acceptable values are 2 and 3. If parameter is not specified the number of dimensions are as default for current product. Available from product version 2024.4.", "schema": { "minimum": 1, "type": "integer" } }, "filterParam": { "name": "__any of the object fields__", "in": "query", "description": "Filters list by selected object field value.\nSupports structured queries via +++__+++ delimiter.\nSupports ending keywords via +++__+++ delimiter:\n- For string fields: istartswith, startswith, iendswith, endswith, contains, icontains, isnull\n- For numerics: gt, lt, gte, lte, isnull\n- For spatial fields: contains, isnull, within, intersects, disjoint, touches, overlaps, covers, coveredby\n**Examples:** `+++usage_state__txt__istartswith=in+++` ,\n`+++plan__state__txt__startswith=In+++` , `+++creation_date__gte=2019-01-02T15:32:01+++`,\n`+++location__within=POLYGON ((641503.89 6944059.81, 641406.52 6943933.87, 641369.48 6943772.48, 641474.25 6943704.74, 641873.78 6943735.96, 641848.38 6943975.15, 641607.08 6944167.76, 641653.11 6944102.15, 641503.89 6944059.81))+++`\nSupports exclusive queries by field value using a not-operator preceding the field lookup:\n**Examples:** `+++not__type__txt__istartswith=Tie+++` , `+++not__id=1390+++`\n", "schema": { "type": "string" } }, "orderParam": { "name": "orderby", "in": "query", "description": "Selects the object field to order the returned objects by.\nCan be used to sort in reverse order with '-' prefix.\nCan have several ordering rules separated by comma.\nCan be used only for object own fields and does not support structured queries.\n**Example:** `orderby=creator,-creation_date`\n", "schema": { "type": "string" } } }, "schemas": { "Contract": { "required": [ "rent" ], "type": "object", "properties": { "agreement": { "type": "string", "description": "Agreements in Contract" }, "antenna": { "type": "integer", "description": "Contract antenna" }, "billing": { "$ref": "#/components/schemas/ContractBilling" }, "billingDay": { "type": "integer", "description": "Contract billing day" }, "billingPeriod": { "type": "integer", "description": "Contract billing period" }, "billingReference": { "type": "string", "description": "Contract billing reference" }, "cableUsage": { "type": "string", "description": "Contract billing cable usage" }, "comments": { "type": "string", "description": "Contract comments" }, "contractStatus": { "$ref": "#/components/schemas/ContractStatus" }, "contractType": { "$ref": "#/components/schemas/ContractType" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "lessee": { "$ref": "#/components/schemas/Customer" }, "lessor": { "$ref": "#/components/schemas/Customer" }, "parentContract": { "type": "string", "description": "link to parent contract", "format": "url" }, "rent": { "type": "number", "description": "Contract rent. Normally a required attribute, can be set as not required on request.", "format": "float" }, "rentBeginDate": { "type": "string", "description": "The date begin to rent", "format": "date-time" }, "rentEndDate": { "type": "string", "description": "The date end of the rent", "format": "date-time" }, "rent_2": { "type": "number", "description": "Contract rent 2", "format": "float" }, "rent_3": { "type": "number", "description": "Contract rent 3", "format": "float" }, "reserveBeginDate": { "type": "string", "description": "The date begin to reserved", "format": "date-time" }, "reserveEndDate": { "type": "string", "description": "The date end of the reservation", "format": "date-time" }, "termOfNotice": { "type": "integer", "description": "Contract term of notice" }, "updatedBy": { "type": "string", "description": "Last updated", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true } } }, "ContractBilling": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "ELECTRIC_BIL_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Contract billing type" }, "ContractStatus": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "RENT_STATUS" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Contract status" }, "ContractType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CONTRACT_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Contract type" }, "Customer": { "required": [ "number", "address" ], "type": "object", "properties": { "address": { "$ref": "#/components/schemas/Apartment" }, "addressAlt": { "$ref": "#/components/schemas/Apartment" }, "billingName": { "type": "string", "description": "Customer billing name" }, "businessId": { "type": "string", "description": "Customer bussiness id" }, "contactName": { "type": "string", "description": "Customer contact name or null. Available from product version 2026.1" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "email": { "type": "string", "description": "Customer email" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "mobilePhone": { "type": "string", "description": "Customer mobile phone number name" }, "name": { "type": "string", "description": "Customer name" }, "number": { "type": "string", "description": "Customer number" }, "phone": { "type": "string", "description": "Customer phone number" }, "smsProhibited": { "type": "boolean", "description": "Sending sms is prohibited to customer" }, "telefax": { "type": "string", "description": "Customer fax number" }, "type": { "$ref": "#/components/schemas/CustomerType" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true } } }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" }, "Apartment": { "required": [ "address" ], "type": "object", "properties": { "address": { "$ref": "#/components/schemas/Address" }, "apartmentDivision": { "type": "string", "description": "apartment division" }, "apartmentLetter": { "type": "string", "description": "apartment letter" }, "apartmentNumber": { "type": "string", "description": "apartment number" }, "empty": { "enum": [ 0, 1 ], "type": "integer", "description": "Apartment with this value as 1 is default apartment. Modifying or deleting such apartment is prohibited.", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "originProperty": { "type": "string", "description": "apartment original property id" }, "originalStreetno": { "type": "string", "description": "apartment original streen number" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "sourceSystemKey": { "type": "integer", "description": "source system key" }, "usagePurpose": { "$ref": "#/components/schemas/ApartmentUsage" }, "usagePurposeAlt": { "$ref": "#/components/schemas/AddressSecondaryUsage" }, "usageState": { "$ref": "#/components/schemas/ApartmentStatus" } } }, "CustomerType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CUST_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Customer type" }, "Address": { "required": [ "streetname", "city" ], "type": "object", "properties": { "buildingId": { "type": "string", "description": "Building id" }, "buildingName": { "type": "string", "description": "Building name" }, "city": { "type": "string", "description": "Building city name" }, "cityAlt": { "type": "string", "description": "Building city name in alternative language" }, "country": { "type": "string", "description": "Building country" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "district": { "type": "string", "description": "Building district" }, "empty": { "enum": [ 0, 1 ], "type": "integer", "description": "Address with this value as 1 is default address. Modifying or deleting such address is prohibited.", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "location": { "type": "string", "description": "Geographical location", "format": "ewkt" }, "municipality": { "type": "string", "description": "Building municipality" }, "propertyId": { "type": "string", "description": "Property number" }, "province": { "type": "string", "description": "Building province" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "sourceSystemKey": { "type": "integer", "description": "source system key" }, "streetname": { "type": "string", "description": "Building street name" }, "streetnameAlt": { "type": "string", "description": "Building street name in alternative language" }, "streetno": { "type": "string", "description": "Building number" }, "subdivision": { "type": "string", "description": "Building municipality subdivision" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "usagePurpose": { "$ref": "#/components/schemas/BuildingUsage" }, "usagePurposeAlt": { "$ref": "#/components/schemas/AddressSecondaryUsage" }, "zipcode": { "type": "string", "description": "Building zipcode" } } }, "SourceSystem": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SOURCE_SYSTEM" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "External source system" }, "ApartmentUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "APARTMENT_USAGE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Apartment Usage purpose" }, "AddressSecondaryUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_ADDR_SPEC" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Address usage purpose" }, "ApartmentStatus": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "APARTMENT_STATUS" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Apartment status" }, "BuildingUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "BUILDING_USAGE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Building usage purpose" } }, "responses": { "Http401": { "description": "Authentication credentials are missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Authentication credentials were not provided" } } } } }, "securitySchemes": { "Token": { "type": "apiKey", "description": "Token issued for API consumer.", "name": "Authorization", "in": "header" } } } } ````